Package org.openoffice.da.comp.writer2xhtml

# Class XhtmlOptionsDialogMath

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.DialogAccess
org.openoffice.da.comp.w2lcommon.helper.DialogBase
org.openoffice.da.comp.w2lcommon.filter.OptionsDialogBase
org.openoffice.da.comp.writer2xhtml.XhtmlOptionsDialog
org.openoffice.da.comp.writer2xhtml.XhtmlOptionsDialogMath

All Implemented Interfaces:
  `com.sun.star.awt.XDialogEventHandler`, `com.sun.star.beans.XPropertyAccess`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XServiceName`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.ui.dialogs.XExecutableDialog`, `com.sun.star.uno.XInterface`

public class XhtmlOptionsDialogMath extends XhtmlOptionsDialog
This class provides a uno component which implements a filter ui for the Xhtml export for the XHTML+MathML and HTML export. This variant of the dialog has the MathJax setting enabled

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`__implementationName`
The component should also have an implementation name.
`static String`
`__serviceName`
The component will be registered under this name.

### Fields inherited from class org.openoffice.da.comp.w2lcommon.filter.OptionsDialogBase

`xMSF`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`xContext`

### Fields inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`CHECKBOX_CHECKED, CHECKBOX_DONT_KNOW, CHECKBOX_NOT_CHECKED`

### Fields inherited from interface com.sun.star.awt.XDialogEventHandler

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.ui.dialogs.XExecutableDialog

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.beans.XPropertyAccess

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceName

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`XhtmlOptionsDialogMath(com.sun.star.uno.XComponentContext xContext)`
Create a new XhtmlOptionsDialogMath

## Method Summary

### Methods inherited from class org.openoffice.da.comp.writer2xhtml.XhtmlOptionsDialog

`callHandlerMethod, getDialogLibraryName, getDialogName, getRegistryPath, getSupportedMethodNames, loadSettings, saveSettings`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.filter.OptionsDialogBase

`endDialog, getPropertyValues, getTypes, initialize, isLocked, loadCheckBoxOption, loadComboBoxOption, loadConfig, loadListBoxOption, loadNumericOption, loadTextFieldOption, saveCheckBoxOption, saveCheckBoxOption, saveComboBoxOption, saveComboBoxOption, saveConfig, saveListBoxOption, saveListBoxOption, saveNumericOption, saveNumericOptionAsPercentage, saveTextFieldOption, saveTextFieldOption, setPropertyValues, updateLockedOptions`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogBase

`execute, getImplementationId, getImplementationName, getServiceName, getSupportedServiceNames, setTitle, supportsService`

### Methods inherited from class org.openoffice.da.comp.w2lcommon.helper.DialogAccess

`getCheckBoxState, getCheckBoxStateAsBoolean, getComboBoxText, getControlEnabled, getControlProperties, getDateFieldValue, getDialog, getFormattedFieldText, getLabelText, getListBoxLineCount, getListBoxSelectedItem, getListBoxStringItemList, getNumericFieldValue, getTextFieldText, setCheckBoxState, setCheckBoxStateAsBoolean, setComboBoxText, setControlEnabled, setDateFieldValue, setDialog, setFormattedFieldText, setLabelText, setListBoxLineCount, setListBoxSelectedItem, setListBoxStringItemList, setNumericFieldValue, setTextFieldText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __serviceName

public static String __serviceName
The component will be registered under this name.

### __implementationName

public static String __implementationName
The component should also have an implementation name.

## Constructor Details

### XhtmlOptionsDialogMath

public XhtmlOptionsDialogMath(com.sun.star.uno.XComponentContext xContext)
Create a new XhtmlOptionsDialogMath